mav_boxDraw(3)

NAME
mav_boxDraw - Rendering callback for Maverik default object classes.

LEVEL
Maverik Level 2

SYNTAX
int mav_boxDraw(MAV_object *o, MAV_drawInfo *di);

int mav_compositeDraw(MAV_object *o, MAV_drawInfo *di);

int mav_coneDraw(MAV_object *o, MAV_drawInfo *di);

int mav_ctorusDraw(MAV_object *o, MAV_drawInfo *di);

int mav_cylinderDraw(MAV_object *o, MAV_drawInfo *di);

int mav_ellipseDraw(MAV_object *o, MAV_drawInfo *di);

int mav_facetDraw(MAV_object *o, MAV_drawInfo *di);

int mav_hellipseDraw(MAV_object *o, MAV_drawInfo *di);

int mav_hsphereDraw(MAV_object *o, MAV_drawInfo *di);

int mav_polylineDraw(MAV_object *o, MAV_drawInfo *di);

int mav_polygonDraw(MAV_object *o, MAV_drawInfo *di);

int mav_polygonGrpDraw(MAV_object *o, MAV_drawInfo *di);

int mav_pyramidDraw(MAV_object *o, MAV_drawInfo *di);

int mav_rectangleDraw(MAV_object *o, MAV_drawInfo *di);

int mav_rtorusDraw(MAV_object *o, MAV_drawInfo *di);

int mav_SMSObjDraw(MAV_object *o, MAV_drawInfo *di);

int mav_sphereDraw(MAV_object *o, MAV_drawInfo *di);

int mav_teapotDraw(MAV_object *o, MAV_drawInfo *di);

int mav_textDraw(MAV_object *o, MAV_drawInfo *di);

int mav_avatarDraw(MAV_object *o, MAV_drawInfo *di);

int mav_TDMCursorDraw(MAV_object *o, MAV_drawInfo *di);

ARGUMENTS
Object to draw. Drawing information.

DESCRIPTION
This is a callback function, which draws an object. It is given as the argument to mav_callbackDrawSet for each class of object defined in the common objects module. o is the object to draw, and di is drawing information including view parameters and culling information.

SEE ALSO
@mav_callbackDrawSet.